clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::TextEdit Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::TextEdit:
[legend]

## Public Attributes
Range | range
| The range of the text document to be manipulated. More...
std::string | newText
| The string to be inserted. More...

## Detailed Description

Definition at line 202 of file Protocol.h.

## Member Data Documentation

## ◆ newText

std::string clang::clangd::TextEdit::newText

The string to be inserted.

For delete operations use an empty string.

Definition at line 209 of file Protocol.h.

Referenced by clang::clangd::operator==().

## ◆ range

Range clang::clangd::TextEdit::range

The range of the text document to be manipulated.

To insert text into a document create a range where start === end.

Definition at line 205 of file Protocol.h.

Referenced by clang::clangd::operator==().

The documentation for this struct was generated from the following file:

- Protocol.h